> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1smsroutingsms testsdashboard



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/sms/routing/sms-tests/dashboard
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/sms-tests/dashboard:
    get:
      tags:
        - SmsTests
      operationId: sms.routing.sms-tests.dashboard
      parameters:
        - name: start_date
          in: query
          schema:
            type:
              - string
              - 'null'
        - name: end_date
          in: query
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                        country_id:
                          type:
                            - string
                            - 'null'
                        total:
                          type: integer
                        pending_count:
                          type: integer
                        expired_count:
                          type: integer
                        received_count:
                          type: integer
                      required:
                        - date
                        - country_id
                        - total
                        - pending_count
                        - expired_count
                        - received_count
                required:
                  - success
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````